workflow genome_assemble{
	File fastq
	String genome_size 
	String prefix
	call canu {
		input:
			fastq = fastq, 
			genome_size = genome_size,
			prefix = prefix 
	}
}

task canu{
	File fastq
	String genome_size 
	String prefix
	command{
	/BioBin/canu-2.2/bin/canu -p ${prefix} -d ${prefix}-pacbio genomeSize=${genome_size} -pacbio ${fastq}
}
	runtime{
		docker : "canu";
		cpu : "5";
		memory : "10G";
		resourcescale : "auto";
    disableoom: true

	}
}
